import QtQuick
import Qt5Compat.GraphicalEffects

import Core

Item {
    id: root

    property real radius: 800
    property color color: Style.color("authBackground")
    property alias shadow: shadow

    Rectangle {
        id: footer

        property alias image: image

        anchors.bottom: root.bottom
        anchors.left: root.left
        anchors.right: root.right
        z: 1

        height: 550
        color: Style.color("redSoft")

        SvgImage {
            id: image
            anchors.bottom: parent.bottom
            anchors.horizontalCenter: parent.horizontalCenter
            source: Style.parameter("image.authFooter")
        }
    }

    Rectangle {
        id: circle

        x: (root.width - width) / 2
        y: (root.height - footer.height - Math.sqrt( (root.radius * root.radius) - ((root.width * root.width) / 4) ) - root.radius + 120)
        z: 3

        width: 1300
        height: root.radius * 2
        radius: root.radius

        color: root.color
    }

    DropShadow {
        id: shadow
        visible: Style.parameter("shadows") === "true"

        anchors.fill: circle
        z: 2

        cached: true
        source: circle
        color: Style.color("authShadow")
        verticalOffset: 50
        radius: 200
        samples: 1 + radius * 2
    }

    Rectangle {
        id: main

        x: 0
        y: 0
        z: 4

        width: root.width
        height: root.height - footer.height

        color: root.color
    }
}
