import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Check
import Core
import I18n

import "../core"
import "../widgets"

BaseForm {
    id: root
    padding: 0

    Context.context {
        inputSources: InputSources.All
        topPanelColor: Style.color("authBackground")
        logoActionInfo: "AUTH_LOGINDIALOG"
    }

    ColumnLayout {
        anchors.horizontalCenter: parent.horizontalCenter
        spacing: 60
        y: 220

        SvgImage {
            Layout.alignment: Qt.AlignHCenter
            source: Style.parameter("image.error")
        }

        Label {
            Style.class: "authFormTitle"
            Tr { code: "authFormTitle" }
            Layout.alignment: Qt.AlignHCenter
            horizontalAlignment: Text.AlignHCenter
        }

        Label {
            Style.class: "authFormMsg"
            Tr { code: "authFormMsg" }
            Layout.alignment: Qt.AlignHCenter
            horizontalAlignment: Text.AlignHCenter
        }
    }

    background: AuthBackground {}
}
