import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Check
import Core
import I18n

import "../core"
import "../widgets"

BaseForm {
    id: root
    Style.class: "qrPaymentForm"

    Context.inputSources: InputSources.Scanner

    ColumnLayout {
        anchors.fill: parent
        GroupBox {
            Layout.fillHeight: true
            Layout.fillWidth: true
            ColumnLayout {
                anchors.horizontalCenter: parent.horizontalCenter
                y: 300
                Label {
                    Layout.alignment: Qt.AlignHCenter
                    Style.class: "qrPaymentTitle"
                    Tr { code: Check.paymentAction.title.code }
                }
                Space { height: 40 }
                Label {
                    Layout.alignment: Qt.AlignHCenter
                    Style.class: "qrPaymentMsg"
                    Tr { code: Check.paymentAction.message.code }
                }
                Space { height: 200 }
                SvgImage {
                    Layout.alignment: Qt.AlignHCenter
                    Layout.preferredWidth: 350
                    Layout.preferredHeight: 350
                    source: Style.parameter("image.qrScan")
                }
            }
        }
        ActionButton {
            Layout.preferredHeight: 110
            Layout.fillWidth: true
            Tr { code: "qrPaymentCancel" }
            Style.class: "qrPaymentCancel"
            onClicked: () => root.removeContext()
        }
    }
}
