import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Core
import Dialog
import I18n

import "../widgets"
import "../core"

ModalForm {
    id: root
    Style.class: "messageForm"

    property var action: DialogState.actions[Context.id.value]
    property bool hasImage: action.image.type !== ImageData.None

    Keys.onEnterPressed: () => removeContext()
    Keys.onReturnPressed: () => removeContext()
    Keys.onEscapePressed: () => removeContext()

    ColumnLayout {
        id: layout
        anchors.left: parent.left
        anchors.right: parent.right
        Label {
            Layout.fillWidth: true
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Label.WordWrap
            Style.class: "messageFromTitle"
            Tr { tr: action.title }
        }
        Space { height: 40 }
        Label {
            Layout.fillWidth: true
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Label.WordWrap
            Style.class: "messageFromMessage"
            Tr { tr: action.message }
        }

        Space { height: 20; visible: hasImage }
        Item {
            height: action.imageHeight
            Layout.fillWidth: true
            visible: hasImage
            SvgImage {
                anchors.fill: parent
                source: action.image
            }
        }

        Space { height: 40; visible: !action.hideOk }
        ActionButton {
            visible: !root.action.hideOk
            Layout.preferredHeight: 100
            Layout.fillWidth: true
            Style.class: "messageOkButton"
            Tr { tr: action.okButton }
            onClicked: () => removeContext()
        }
    }
}
