import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Core
import I18n
import Dialog

import "../core"
import "../widgets"

BaseForm {
    id: root
    Style.class: "paymentErrorForm"

    property var action: DialogState.actions[Context.id.value]

    Context.topPanelColor: Style.color("white")

    ColumnLayout {
        anchors.fill: parent
        spacing: 40

        GroupBox {
            Layout.fillHeight: true
            Layout.fillWidth: true
            ColumnLayout {
                anchors.horizontalCenter: parent.horizontalCenter
                y: 280
                Label {
                    Style.class: "paymentErrorTitle"
                    Tr { code: "paymentErrorTitle" }
                    Layout.alignment: Qt.AlignHCenter
                    horizontalAlignment: Text.AlignHCenter
                }

                Space { height: 40 }

                Label {
                    Style.class: "paymentErrorMsg"
                    Tr { code: root.action.message.code }
                    Layout.alignment: Qt.AlignHCenter
                    horizontalAlignment: Text.AlignHCenter
                }

                Space { height: 200 }

                SvgImage {
                    Layout.alignment: Qt.AlignHCenter
                    source: Style.parameter("image.error")
                }
            }
        }

        RowLayout {
            spacing: 40
            ActionButton {
                Layout.preferredHeight: 110
                Layout.preferredWidth: 480
                Tr { code: "paymentErrorCancel" }
                Style.class: "paymentErrorCancel"
                onClicked: () => {
                    root.action.result = false
                    root.removeContext()
                }
            }

            ActionButton {
                Layout.preferredHeight: 110
                Layout.preferredWidth: 480
                Tr { code: "paymentErrorOk" }
                Style.class: "paymentErrorOk"
                onClicked: () => {
                    root.action.result = true
                    root.removeContext()
                }
            }
        }
    }
}
